{
  inputs,
  pkgs,
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.my.ags;
in {
  imports = [inputs.ags.homeManagerModules.default];

  options.my.ags = {
    enable = mkEnableOption "ags";
  };

  config = mkIf cfg.enable {
    programs.ags = {
      enable = true;

      extraPackages =
        (with pkgs; [
          fzf
        ])
        ++ (with inputs.ags.packages.${pkgs.system}; [
          battery
          hyprland
          mpris
          network
          tray
          wireplumber
        ]);
    };

    home.packages = with pkgs; [
      brightnessctl
      fd
      dart-sass
      hyprpicker
      swww
    ];
  };
}
