{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.my.platformio;
in {
  options.my.platformio = {
    enable = lib.mkEnableOption "platformio";
  };

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      platformio
    ];

    # Enable udev for platformio
    services.udev.packages = with pkgs; [platformio-core.udev];
  };
}
